import { Build } from '@roots/bud-framework';
import { Extension } from '@roots/bud-framework/extension';
/**
 * Babel support for `@roots/bud`
 *
 * @public
 */
export default class BabelExtension extends Extension<any, null> {
    /**
     * Babel cache directory
     *
     * @public
     */
    get cacheDirectory(): string;
    /**
     * Babel env
     *
     * @public
     */
    get env(): {
        development: {
            compact: boolean;
        };
    };
    /**
     * Root directory
     *
     * @public
     */
    get root(): string;
    /**
     * Babel RuleSetItem callback
     *
     * @public
     * @decorator `@bind`
     */
    setRuleSetItem(ruleSetItem: Build.Item): Build.Item;
    /**
     * Initialize extension
     *
     * @public
     * @decorator `@bind`
     */
    init(): Promise<void>;
    /**
     * Register extension
     *
     * @public
     * @decorator `@bind`
     */
    register(): Promise<void>;
}
//# sourceMappingURL=extension.d.ts.map